import javax.swing.*;
import java.awt.GridLayout;
import java.awt.event.*;
import java.awt.*;
import java.util.*;

public class InterfaceInteraction 
    implements ActionListener, FocusListener, Observer{
    
    //Interface i;//meme version mais non modal
    InterfaceDialog i;
    Frame fr=new Frame();
    Fenetre f;
    int vitessePac;
    int vitesseFant;
    MenuSimpleDialog msdtemp;
    int scoretotal = 0;
    int nbVie = 3;
    Object pacgomme,grossegomme,fantomemange,vie;
    //pour differencier les observables

    public InterfaceInteraction(MenuSimpleDialog parent,int pacvit,int fantvit){
	msdtemp = parent;
	//i = new Interface(this,msdtemp.str);
	i = new InterfaceDialog(parent,this,msdtemp.str);
	vitessePac=pacvit;
	vitesseFant=fantvit;
	i.pack();
	//i.setVisible(true); on perd le focus pour le jeu si on l'utilise!!!
	i.show();
    }

    public void update(Observable o,Object arg){
	String chainearg = arg.toString();
	//System.out.println("arg.toString = "+chainearg);
	if (chainearg == "pacgomme"){
 	    scoretotal+=10;
  	    System.out.println("score : "+scoretotal);
  	    modifieScore(i,scoretotal);
  	}
	if (chainearg == "grossegomme"){
	    scoretotal+=100;
	    System.out.println("score : "+scoretotal);
	    modifieScore(i,scoretotal);
	}
	if (chainearg == "fantomemange"){
	    scoretotal+=500;
	    System.out.println("score : "+scoretotal);
	    modifieScore(i,scoretotal);
	}
	if (chainearg == "vie"){
	    nbVie--;
	    System.out.println("nbVie : "+nbVie);
	    modifieVie(i,nbVie);
	}
	if (chainearg == "fin"){
	    System.out.println("fin");
	    Fin fn = new Fin(i,fr);
	    fn.pack();
	    fn.setVisible(true);
	}

	
	    
	
    }

    public void modifieScore(InterfaceDialog i,int score){
	i.txt_score.setText(String.valueOf(score));
    }

    public void modifieVie(InterfaceDialog i,int vie){
	i.txt_vie.setText(String.valueOf(vie));
    }
    
    public void pauseOn(Fenetre f){
	f.tab.pausePacmanOn();
	f.tab.pauseFantomeOn();
    }
    
    public void pauseOff(Fenetre f){
	f.tab.pausePacmanOff();
	f.tab.pauseFantomeOff();
    }

    public void actionPerformed(ActionEvent evt){
	Object source = evt.getSource();
	int ii;
	if (source == i.b_pause){
	    System.out.println("bouton pause enfonce");
	    pauseOn(f);
	    i.b_pauseoff.setEnabled(true);	    
	    i.b_pause.setEnabled(false);
	    fr.requestFocus();//pour garder le focus sur pacman
	    
	}
	else if (source == i.b_pauseoff){
	    System.out.println("bouton pause defonce");
	    pauseOff(f);
	    i.b_pause.setEnabled(true);
	    i.b_pauseoff.setEnabled(false);
	    fr.requestFocus();//pour garder le focus sur pacman
	}
	else if (source == i.b_quit){
	     System.out.println("bouton quit d enfonce");
	     try {
		 f.finalize();
	     } catch (Throwable e){
		 System.out.println("pb"+e.getMessage());
	     }
	     System.exit(0);
		 
	}
	else if (source == i.b_retour){
	     System.out.println("bouton retour enfonce");
	     i.setVisible(false);
	     fr.setVisible(false);
	     try {
		 f.finalize();
	     } catch (Throwable e){
		 System.out.println("pb"+e.getMessage());
	     }
	}
	else if (source == i.b_go){
	    System.out.println("bouton go enfonce");
	    i.b_go.setEnabled(false);
	    System.out.println("pac vitesss: " + vitessePac);
	    System.out.println("fant vitesss: " + vitesseFant);
	    f = new Fenetre(vitessePac,vitesseFant,this);
	    //G rajoute this pour passer l'observer en param
	    fr.add(f);	
	    fr.pack();
	    fr.setBounds(72,154,550,650);
	    fr.show();

	}
	     
   }

    public void focusLost(FocusEvent evt){
    	System.out.println("focus perdu");
    }
    
    public void focusGained(FocusEvent evt){
    	System.out.println("focus gagne");
    }

}
