import java.awt.event.*;
import java.awt.*;
import java.awt.image.*;
import java.util.*;

public class Tablo extends Observable{

    Object arg;//G rajoute
    char [][] table =  new char[31][31];
    int nbPacgomme;
        
    // les zacteurs
    Pacman pac;//G rajoute
    int xdpac=1;
    int ydpac=1;

    Fantome []tabFant;
    int f; // indice de parcours du tab de fantomes

    int xdfant[];  // tabs de coord de depart des fant
    int ydfant[]; 

    int longCase=20;
    int largCase=20;

    int XBase;
    int YBase;

    Canvas c;

    int tempsSuperPac=0;
    
    boolean reinit;

    public Tablo(Canvas c,Graphics gc) {
	this.c=c;

	XBase=14*longCase;
	YBase=12*largCase;
	reinit=false;

	char m='m';//mur plein
	char p='p';//pacgomme
	char v='v';//vide
	char g='g';//Grosse pacgomme 

	// les numero correspondent a des murs

	//           0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7
	char t[][]={{7,2,2,2,2,2,2,2,2,2,2,2,2,4,6,2,2,2,2,2,2,2,2,2,2,2,2,9},
		    {6,p,p,p,p,p,p,p,p,p,p,p,p,4,6,p,p,p,p,p,p,p,p,p,p,p,p,4},
		    {6,p,7,8,8,9,p,7,8,8,8,9,p,4,6,p,7,8,8,8,9,p,7,8,8,9,p,4},
		    {6,p,4,5,5,6,p,4,5,5,5,6,p,4,6,p,4,5,5,5,6,p,4,5,5,6,p,4},
		    {6,g,1,2,2,3,p,1,2,2,2,3,p,1,3,p,1,2,2,2,3,p,1,2,2,3,g,4},
		    {6,p,p,p,p,p,p,p,p,p,p,p,p,p,p,p,p,p,p,p,p,p,p,p,p,p,p,4},
		    {6,p,7,8,8,9,p,7,9,p,7,8,8,8,8,8,8,9,p,7,9,p,7,8,8,9,p,4},
		    {6,p,1,2,2,3,p,4,6,p,1,2,2,5,5,2,2,3,p,4,6,p,1,2,2,3,p,4},
		    {6,p,p,p,p,p,p,4,6,p,p,p,p,4,6,p,p,p,p,4,6,p,p,p,p,p,p,4},
		    {8,8,8,8,8,9,p,4,5,8,8,9,p,4,6,p,7,8,8,5,6,p,7,8,8,8,8,8},
		    {5,5,5,5,5,6,p,4,5,2,2,3,p,1,3,p,1,2,2,5,6,p,4,5,5,5,5,5},
		    {5,5,5,5,5,6,p,4,6,p,p,p,p,p,p,p,p,p,p,4,6,p,4,5,5,5,5,5},
		    {5,5,5,5,5,6,p,4,6,p,7,8,8,2,2,8,8,9,p,4,6,p,4,5,5,5,5,5},
		    {2,2,2,2,2,3,p,1,3,p,4,v,v,v,v,v,v,6,p,1,3,p,1,2,2,2,2,2},
		    {6,p,p,p,p,p,p,p,p,p,4,v,v,v,v,v,v,6,p,p,p,p,p,p,p,p,p,4},
		    {8,8,8,8,8,9,p,7,9,p,4,v,v,v,v,v,v,6,p,7,9,p,7,8,8,8,8,8},
		    {5,5,5,5,5,6,p,4,6,p,1,2,2,2,2,2,2,3,p,4,6,p,4,5,5,5,5,5},
		    {5,5,5,5,5,6,p,4,6,p,p,p,p,p,p,p,p,p,p,4,6,p,4,5,5,5,5,5},
		    {5,5,5,5,5,6,p,4,6,p,7,8,8,8,8,8,8,9,p,4,6,p,4,5,5,5,5,5},
		    {2,2,2,2,2,3,p,1,3,p,1,2,2,5,5,2,2,3,p,1,3,p,1,2,2,2,2,2},
		    {6,p,p,p,p,p,p,p,p,p,p,p,p,4,6,p,p,p,p,p,p,p,p,p,p,p,p,4},
		    {6,p,7,8,8,9,p,7,8,8,8,9,p,4,6,p,7,8,8,8,9,p,7,8,8,9,p,4},
		    {6,p,1,2,5,6,p,1,2,2,2,3,p,1,3,p,1,2,2,2,3,p,4,5,2,3,p,4},
		    {6,g,p,p,4,6,p,p,p,p,p,p,p,p,p,p,p,p,p,p,p,p,4,6,p,p,g,4},
		    {8,8,9,p,4,6,p,7,9,p,7,8,8,8,8,8,8,9,p,7,9,p,4,6,p,7,8,8},
		    {2,2,3,p,1,3,p,4,6,p,1,2,2,5,5,2,2,3,p,4,6,p,1,3,p,1,2,2},
		    {6,p,p,p,p,p,p,4,6,p,p,p,p,4,6,p,p,p,p,4,6,p,p,p,p,p,p,4},
		    {6,p,7,8,8,8,8,5,5,8,8,9,p,4,6,p,7,8,8,5,5,8,8,8,8,9,p,4},
		    {6,p,1,2,2,2,2,2,2,2,2,3,p,1,3,p,1,2,2,2,2,2,2,2,2,3,p,4},
		    {6,p,p,p,p,p,p,p,p,p,p,p,p,p,p,p,p,p,p,p,p,p,p,p,p,p,p,4},
		    {1,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,3}};
		    
	nbPacgomme=298;
	table = t;

	pac=new Pacman(xdpac,ydpac,8,this);


	// fant:  0   1  
	int txd[]={21,26};
	int tyd[]={20, 1};
	xdfant=txd;   ydfant=tyd;

	Fantome f0=new Fantome(xdfant[0],ydfant[0],"red",7,this,pac);
	Fantome f1=new Fantome(xdfant[1],ydfant[1],"pink",7,this,pac);


	Fantome []TF={f0,f1};

	tabFant=TF;

	System.out.println("nb de fant "+TF.length);
	pac.voilaLesFantomes(tabFant);
   
	pac.go();

	for (f=0;f<tabFant.length;f++)
	    tabFant[f].go();

    }
    
    public Tablo(Canvas c,Graphics gc,int pacvitesse,int fantvitesse,Observer o) {
	//un peu de surcharge constructeur
	addObserver(o);//G rajoute l' Observer o en param

	this.c=c;
	XBase=14*longCase;
	YBase=12*largCase;
	reinit=false;

	char m='m';//mur plein
	char p='p';//pacgomme
	char v='v';//vide
	char g='g';//Grosse pacgomme 


	char t[][]={{7,2,2,2,2,2,2,2,2,2,2,2,2,4,6,2,2,2,2,2,2,2,2,2,2,2,2,9},
		    {6,p,p,p,p,p,p,p,p,p,p,p,p,4,6,p,p,p,p,p,p,p,p,p,p,p,p,4},
		    {6,p,7,8,8,9,p,7,8,8,8,9,p,4,6,p,7,8,8,8,9,p,7,8,8,9,p,4},
		    {6,p,4,5,5,6,p,4,5,5,5,6,p,4,6,p,4,5,5,5,6,p,4,5,5,6,p,4},
		    {6,g,1,2,2,3,p,1,2,2,2,3,p,1,3,p,1,2,2,2,3,p,1,2,2,3,g,4},
		    {6,p,p,p,p,p,p,p,p,p,p,p,p,p,p,p,p,p,p,p,p,p,p,p,p,p,p,4},
		    {6,p,7,8,8,9,p,7,9,p,7,8,8,8,8,8,8,9,p,7,9,p,7,8,8,9,p,4},
		    {6,p,1,2,2,3,p,4,6,p,1,2,2,5,5,2,2,3,p,4,6,p,1,2,2,3,p,4},
		    {6,p,p,p,p,p,p,4,6,p,p,p,p,4,6,p,p,p,p,4,6,p,p,p,p,p,p,4},
		    {8,8,8,8,8,9,p,4,5,8,8,9,p,4,6,p,7,8,8,5,6,p,7,8,8,8,8,8},
		    {5,5,5,5,5,6,p,4,5,2,2,3,p,1,3,p,1,2,2,5,6,p,4,5,5,5,5,5},
		    {5,5,5,5,5,6,p,4,6,p,p,p,p,p,p,p,p,p,p,4,6,p,4,5,5,5,5,5},
		    {5,5,5,5,5,6,p,4,6,p,7,8,8,2,2,8,8,9,p,4,6,p,4,5,5,5,5,5},
		    {2,2,2,2,2,3,p,1,3,p,4,v,v,v,v,v,v,6,p,1,3,p,1,2,2,2,2,2},
		    {6,p,p,p,p,p,p,p,p,p,4,v,v,v,v,v,v,6,p,p,p,p,p,p,p,p,p,4},
		    {8,8,8,8,8,9,p,7,9,p,4,v,v,v,v,v,v,6,p,7,9,p,7,8,8,8,8,8},
		    {5,5,5,5,5,6,p,4,6,p,1,2,2,2,2,2,2,3,p,4,6,p,4,5,5,5,5,5},
		    {5,5,5,5,5,6,p,4,6,p,p,p,p,p,p,p,p,p,p,4,6,p,4,5,5,5,5,5},
		    {5,5,5,5,5,6,p,4,6,p,7,8,8,8,8,8,8,9,p,4,6,p,4,5,5,5,5,5},
		    {2,2,2,2,2,3,p,1,3,p,1,2,2,5,5,2,2,3,p,1,3,p,1,2,2,2,2,2},
		    {6,p,p,p,p,p,p,p,p,p,p,p,p,4,6,p,p,p,p,p,p,p,p,p,p,p,p,4},
		    {6,p,7,8,8,9,p,7,8,8,8,9,p,4,6,p,7,8,8,8,9,p,7,8,8,9,p,4},
		    {6,p,1,2,5,6,p,1,2,2,2,3,p,1,3,p,1,2,2,2,3,p,4,5,2,3,p,4},
		    {6,g,p,p,4,6,p,p,p,p,p,p,p,p,p,p,p,p,p,p,p,p,4,6,p,p,g,4},
		    {8,8,9,p,4,6,p,7,9,p,7,8,8,8,8,8,8,9,p,7,9,p,4,6,p,7,8,8},
		    {2,2,3,p,1,3,p,4,6,p,1,2,2,5,5,2,2,3,p,4,6,p,1,3,p,1,2,2},
		    {6,p,p,p,p,p,p,4,6,p,p,p,p,4,6,p,p,p,p,4,6,p,p,p,p,p,p,4},
		    {6,p,7,8,8,8,8,5,5,8,8,9,p,4,6,p,7,8,8,5,5,8,8,8,8,9,p,4},
		    {6,p,1,2,2,2,2,2,2,2,2,3,p,1,3,p,1,2,2,2,2,2,2,2,2,3,p,4},
		    {6,p,p,p,p,p,p,p,p,p,p,p,p,p,p,p,p,p,p,p,p,p,p,p,p,p,p,4},
		    {1,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,3}};
		    
		    
	nbPacgomme=298;
	table = t;

	pac=new Pacman(xdpac,ydpac,8,this,pacvitesse,o);//o en plus

	// fant:  0   1  
	int txd[]={21,26};
	int tyd[]={20, 1};
	xdfant=txd;   ydfant=tyd;

	Fantome f0=new Fantome(xdfant[0],ydfant[0],"red",7,this,pac,fantvitesse);
	Fantome f1=new Fantome(xdfant[1],ydfant[1],"pink",7,this,pac,fantvitesse);

	Fantome []TF={f0,f1};
	tabFant=TF;
	System.out.println("nb de fant "+TF.length);
	pac.voilaLesFantomes(tabFant);
	pac.go();
	for (f=0;f<tabFant.length;f++)
	    tabFant[f].go();
    }

    public void reinit(){
	System.out.println("reinit");
	reinit=true;

	pac.reinit(xdpac,ydpac);
	tempsSuperPac=0;
	

	for (f=0;f<tabFant.length;f++)
	    tabFant[f].reinit(xdfant[f],ydfant[f]);
    }

    public void dessineFond(Graphics g){
    	int i,j;
		
	for (i=0;i<31;i++) 
	    for (j=0;j<28;j++) 
		dessineCase(j,i,g,0);
	
    }
    
    public void dessineCase(int x,int y,Graphics g,int i){
	g.setColor(Color.black); // on efface ce qui av
	g.fillRect(x*20-10,y*20-10,20,20);
 	switch(table[y][x]) {
  	case 7 : 
	    g.setColor(Color.blue);
  	    g.fillRect(x*20,y*20,10,10); break;
  	case 4 : 
  	    g.setColor(Color.blue);
  	    g.fillRect(x*20,y*20-10,10,20); break;
  	case 1 : 
  	    g.setColor(Color.blue);
  	    g.fillRect(x*20,y*20-10,10,10); break;
  	case 8 : 
  	    g.setColor(Color.blue);
  	    g.fillRect(x*20-10,y*20,20,10); break;
  	case 5 : 
  	    g.setColor(Color.blue);
  	    g.fillRect(x*20-10,y*20-10,20,20); break;
  	case 2 : 
  	    g.setColor(Color.blue);
  	    g.fillRect(x*20-10,y*20-10,20,10); break;
  	case 9 : 
  	    g.setColor(Color.blue);
  	    g.fillRect(x*20-10,y*20,10,10); break;
  	case 6 : 
  	    g.setColor(Color.blue);
  	    g.fillRect(x*20-10,y*20-10,10,20); break;
  	case 3 : 
  	    g.setColor(Color.blue);
  	    g.fillRect(x*20-10,y*20-10,10,10); break;
	case 'p' :
  	    g.setColor(Color.yellow);
	    g.fillRect(x*20-2,y*20-2,4,4); break;
  	case 'g' :
 	    g.setColor(Color.yellow);
  	    g.fillOval(x*20-10,y*20-10,20,20); break;
  	}
    }
 

    public void dessineToi(Graphics g,ImageObserver io) {
	if (reinit) {dessineFond(g);  reinit=false;} // 


	if (tempsSuperPac >= 0) {
	    tempsSuperPac--;
	}
	else {

	    for (f=0;f<tabFant.length;f++)
		if (tabFant[f].etat == 1)  tabFant[f].etat=0;
	    
	    pac.etat=0; 
	}


	pac.effaceToi(g);
	for (f=0;f<tabFant.length;f++)
	    tabFant[f].effaceToi(g);
	
	pac.dessineToi(g,io);
	for (f=0;f<tabFant.length;f++)
	    tabFant[f].dessineToi(g,io);
    }
	

    public void mange(int x,int y){
	if (table[y][x] == 'p') { // c une shtite pacgomme
	    // coin!! + augmenter le score
	    setChanged();
	    arg="pacgomme";
	    notifyObservers(arg);

	    table[y][x]='v';
	    pac.nbPacgommeMangees++;
	    if (pac.nbPacgommeMangees == nbPacgomme){
		System.out.println("######## U   WIN ########");
		setChanged();
		arg="fin";
		notifyObservers(arg);
		
		killGame();
	    }
	}
	else {  // c une mega pacgomme de la mort qui tue
	    // change l'etat des fantomes et du pacmass ...
	    //on augmente le score
	    setChanged();
	    arg="grossegomme";
	    notifyObservers(arg);	

	    pac.superPac();

	    for (f=0;f<tabFant.length;f++)
		if (tabFant[f].etat==0)
		    tabFant[f].peur();
	    
	    table[y][x]='v';
	    tempsSuperPac=300;//bruno a mis 100
	   
	    pac.nbPacgommeMangees++;
	    if (pac.nbPacgommeMangees == nbPacgomme) {
		System.out.println("######## U   WIN ########");
		setChanged();
		arg="fin";
		notifyObservers(arg);
		
		killGame();
	    }
	}
    }


    public void killGame() {
	System.out.println("<<<< KILL GAME >>>>");
	pac.t.interrupt();
	int f;
	for (f=0;f<tabFant.length;f++)
	    tabFant[f].t.interrupt();	
    }


    public void pausePacmanOn(){//G rajoute
	pac.bloque();	
    }
    

    public void pauseFantomeOn(){//G rajoute
	int f;
	for (f=0;f<tabFant.length;f++)
	    tabFant[f].bloque();	
    }

    public void pausePacmanOff(){//G rajoute
	pac.debloque();	
    }
    
    public void pauseFantomeOff(){//G rajoute
	int f;
	for (f=0;f<tabFant.length;f++)
	    tabFant[f].debloque();	
    }
   
}





